Ruby: gz_state Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
gz_state Struct Reference

`#include <gzguts.h>`

## Data Fields
struct gzFile_s | x
int | mode
int | fd
char * | path
unsigned | size
unsigned | want
unsigned char * | in
unsigned char * | out
int | direct
int | how
z_off64_t | start
int | eof
int | past
int | level
int | strategy
int | reset
z_off64_t | skip
int | seek
int | err
char * | msg
z_stream | strm

## Detailed Description

Definition at line 170 of file gzguts.h.

## Field Documentation

## ◆ direct

int gz_state::direct

Definition at line 184 of file gzguts.h.

## ◆ eof

int gz_state::eof

Definition at line 188 of file gzguts.h.

## ◆ err

int gz_state::err

Definition at line 198 of file gzguts.h.

## ◆ fd

int gz_state::fd

Definition at line 178 of file gzguts.h.

## ◆ how

int gz_state::how

Definition at line 186 of file gzguts.h.

## ◆ in

unsigned char* gz_state::in

Definition at line 182 of file gzguts.h.

## ◆ level

int gz_state::level

Definition at line 191 of file gzguts.h.

## ◆ mode

int gz_state::mode

Definition at line 177 of file gzguts.h.

## ◆ msg

char* gz_state::msg

Definition at line 199 of file gzguts.h.

## ◆ out

unsigned char* gz_state::out

Definition at line 183 of file gzguts.h.

## ◆ past

int gz_state::past

Definition at line 189 of file gzguts.h.

## ◆ path

char* gz_state::path

Definition at line 179 of file gzguts.h.

## ◆ reset

int gz_state::reset

Definition at line 193 of file gzguts.h.

## ◆ seek

int gz_state::seek

Definition at line 196 of file gzguts.h.

## ◆ size

unsigned gz_state::size

Definition at line 180 of file gzguts.h.

## ◆ skip

z_off64_t gz_state::skip

Definition at line 195 of file gzguts.h.

## ◆ start

z_off64_t gz_state::start

Definition at line 187 of file gzguts.h.

## ◆ strategy

int gz_state::strategy

Definition at line 192 of file gzguts.h.

## ◆ strm

z_stream gz_state::strm

Definition at line 201 of file gzguts.h.

## ◆ want

unsigned gz_state::want

Definition at line 181 of file gzguts.h.

## ◆ x

struct gzFile_s gz_state::x

Definition at line 172 of file gzguts.h.

The documentation for this struct was generated from the following file:

- ext/zlib/zlib-1.2.13/gzguts.h